Name:           perl-DateTime-Format-DateParse
Version:        0.04
Release:        6%{?dist}
Summary:        Parse Date::Parse compatible formats
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Format-DateParse/
Source0:        http://www.cpan.org/authors/id/J/JH/JHOBLITT/DateTime-Format-DateParse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# https://rt.cpan.org/Public/Bug/Display.html?id=52598
Patch0: ftp://cpan.cpantesters.org/CPAN/authors/id/A/AN/ANDK/patches/DateTime-Format-DateParse-0.04-ANDK-01.patch.gz

BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(Date::Parse) >= 2.27
BuildRequires:  perl(DateTime) >= 0.29
BuildRequires:  perl(DateTime::TimeZone) >= 0.27
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Time::Zone) >= 2.22
BuildRequires:  perl(Test::More)

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module is a DateTime compatibility wrapper around Date::Parse; it allows
one to easily parse formats Date::Parse recognises for DateTime.

%prep
%setup -q -n DateTime-Format-DateParse-%{version}
%patch0

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-6
- Mass rebuild with perl-5.12.0

* Sat Feb 13 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.04-5
- apply workaround patch from rt#52598
- default filter, default subpackage tests

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- touch-up for submission

* Thu Dec 11 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-0.1
- Specfile autogenerated by cpanspec 1.77.
